<?php

/**
 * @file
 * Basic settings after installation.
 */

if (!function_exists("system_form_install_configure_form_alter")) {

  /**
   * Implements hook_form_FORM_ID_alter().
   *
   * Allows the profile to alter the site configuration form.
   */
  function system_form_install_configure_form_alter(&$form, $form_state) {
    $form['site_information']['site_name']['#default_value'] = 'Travel profile';
  }

}


if (!function_exists("system_form_install_select_profile_form_alter")) {

  /**
   * Implements hook_form_alter().
   *
   * Select the current install profile by default.
   */
  function system_form_install_select_profile_form_alter(&$form, $form_state) {
    foreach ($form['profile'] as $key => $element) {
      $form['profile'][$key]['#value'] = 'travel_profile';
    }
  }

}

/**
 * Recursive copy.
 *
 * @param string $src
 *   Source folder with files.
 * @param string $dst
 *   Destination folder.
 */
function travel_profile_recurse_copy($src, $dst) {
  $dir = opendir($src);
  @mkdir($dst);
  while (FALSE !== ($file = readdir($dir))) {
    if (($file != '.') && ($file != '..')) {
      if (is_dir($src . '/' . $file)) {
        travel_profile_recurse_copy($src . '/' . $file, $dst . '/' . $file);
      }
      else {
        copy($src . '/' . $file, $dst . '/' . $file);
      }
    }
  }
  closedir($dir);
}
